=== debian/control ===
Source: ros-kinetic-towr-ros
Section: misc
Priority: extra
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-towr, ros-kinetic-visualization-msgs, ros-kinetic-xpp-msgs, ros-kinetic-xpp-states
Homepage: http://github.com/ethz-adrl/towr
Standards-Version: 3.9.2

Package: ros-kinetic-towr-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncurses5-dev, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-rqt-bag, ros-kinetic-rviz, ros-kinetic-std-msgs, ros-kinetic-towr, ros-kinetic-visualization-msgs, ros-kinetic-xpp-hyq, ros-kinetic-xpp-msgs, ros-kinetic-xpp-states, xterm
Description: A ROS dependent wrapper for towr.
 Adds a keyboard user interface to set different goal states, motions and robots and visualizes the produced motions plan in rviz using xpp.
